let x;

if (true){
	x = 25;
}

if (true){
	y = 10;
}

console.log(x);
console.log(y);

const z = 25;
if (true){
	console.log("Blokkon belül: " + z);
}

console.log("Blokkon kívül: " + z);


if (true){
	const a = 89;
}

//console.log(a);


function Person(name, age){
	this.name = name;
	this.age = age;
}

let person1 = new Person("janos", 19);

console.log(person1.name);
console.log(person1.age);

let jatek = {
	nev: "Minecraft",
	fejleszto: "Mojang",
	megjelenés: 2009
};

console.log(jatek.nev);

let nums = [1,3,4,6,9];
console.log(nums);

let userMap = new Map();
userMap.set('name', 'Kristóf');
console.log(userMap);

let numset = new Set([1,2,3,4,5]);
console.log(numset);
